
if(NOT CMAKE_SCRIPT_MODE_FILE)
  add_custom_target(arch-package
    COMMAND ${CMAKE_COMMAND}
    "-DCPACK_SOURCE_DIR=${CMAKE_SOURCE_DIR}"
    "-DCPACK_PACKAGE_CONTACT=${CPACK_PACKAGE_CONTACT}"
    "-DCPACK_PACKAGE_NAME=${CPACK_PACKAGE_NAME}"
    "-DCPACK_PACKAGE_VERSION=${CMAKE_PROJECT_VERSION}"
    -P "${CMAKE_CURRENT_LIST_DIR}/PackArch.cmake" VERBATIM)
else()
  message(STATUS "Generating PKGBUILD")
  file(MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/Arch")
  configure_file("${CMAKE_CURRENT_LIST_DIR}/PackArch_PKGBUILD.tpl" "${CMAKE_BINARY_DIR}/Arch/PKGBUILD" @ONLY)
  
  message(STATUS "Running makepkg")
  execute_process(
    COMMAND makepkg "-f" "-C" "-c" VERBATIM
    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/Arch")
endif()
